package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponSkuQueryRequest struct {
	/*
	   请求     */
	ParamCouponTemplateItemQueryRequest *domain.AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest `json:"param_coupon_template_item_query_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponSkuQueryRequest) SetParamCouponTemplateItemQueryRequest(v domain.AlibabaWdkCouponSkuQueryCouponTemplateItemQueryRequest) *AlibabaWdkCouponSkuQueryRequest {
	s.ParamCouponTemplateItemQueryRequest = &v
	return s
}

func (req *AlibabaWdkCouponSkuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateItemQueryRequest != nil {
		paramMap["param_coupon_template_item_query_request"] = util.ConvertStruct(*req.ParamCouponTemplateItemQueryRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponSkuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
